langcode: en
status: true
dependencies:
  module:
    - language
id: language-edit
label: 'Editing languages'
module: language
routes:
  -
    route_name: entity.configurable_language.edit_form
tips:
  language-edit-overview:
    id: language-edit-overview
    plugin: text
    label: 'Editing languages'
    weight: 1
    body: '<p>This page provides the ability to edit a language on your site, including custom languages.</p>'
  language-edit-langcode:
    id: language-edit-langcode
    plugin: text
    label: 'Language code'
    weight: 2
    selector: '#edit-langcode-view'
    body: '<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>'
  language-edit-label:
    id: language-edit-label
    plugin: text
    label: 'Language name'
    weight: 3
    selector: '#edit-label'
    body: '<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>'
  language-edit-direction:
    id: language-edit-direction
    plugin: text
    label: 'Language direction'
    weight: 4
    selector: '#edit-direction--wrapper--description'
    body: '<p>Choose if the language is a "Left to right" or "Right to left" language.</p><p>Note that not all themes support "Right to left" layouts, so test your theme if you are using "Right to left".</p>'
  language-edit-continue:
    id: language-edit-continue
    plugin: text
    label: 'Continuing on'
    weight: 5
    body: '<p>Now that you have an overview of the "Edit language" feature, you can continue by:<ul><li>Editing a language</li><li><a href="[site:url]admin/config/regional/language">Viewing configured languages</a></li></ul></p>'
